[Prev: EXPIREDATE] | [Resources][TOC] | [Next: FIELDORDER]

# FASTTEMPFILES

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_FASTTEMPFILES=`[ `0` | `1` ]

Element

  `<FASTTEMPFILES>`
  `<NOFASTTEMPFILES>`

Command-line Option

  `-fasttempfiles`
  `-nofasttempfiles`

## Description

When FASTTEMPFILES is active, MHonArc will use non-random temporary filenames.

When MHonArc creates, or edits, an archive file, MHonArc first writes to a temporary file. If no errors occur, the temporary file is then renamed to the appropriate archive filename. For security reasons (like to avoid local symlink attacks), MHonArc generates random filenames for temporary files. This operation does increase the overhead of temporary file creation. The overhead is generally negligable, but if processing a large set of files and performance is a primary concern, you can enable FASTTEMPFILES to avoid the random filename creation.

If you want to enable FASTTEMPFILES, but are concerned about security, make sure that the archive directory and file permissions are set to only allow write access to trusted users.

## Default Setting

Off

## Resource Variables

N/A

## Examples

None.

## Version

2.6.1

## See Also

DBFILEPERMS, FILEPERMS, UMASK

[Prev: EXPIREDATE] | [Resources][TOC] | [Next: FIELDORDER]